Overview
Comment: | Updated to attempt to determine OS from magic of built Tcl Updated to pass arguments from the command line to subsequent "build.sh" scripts Fixed issue on "dict" where "out" was being cleaned up |
---|---|
Downloads: | Tarball | ZIP archive | SQL archive |
Timelines: | family | ancestors | descendants | both | trunk |
Files: | files | file ages | folders |
SHA1: |
d4584bf4ae88b90526749b5166a3a702 |
User & Date: | rkeene on 2010-02-09 14:39:28 |
Other Links: | manifest | tags |
Context
2010-02-09
| ||
14:53 | Added sqlite3 compliation check-in: 1ff15eb03f user: rkeene tags: trunk | |
14:39 | Updated to attempt to determine OS from magic of built Tcl Updated to pass arguments from the command line to subsequent "build.sh" scripts Fixed issue on "dict" where "out" was being cleaned up check-in: d4584bf4ae user: rkeene tags: trunk | |
2010-02-06
| ||
22:37 | Added dict package Made tls package more consistent with other packages check-in: 65ce01732d user: rkeene tags: trunk | |
Changes
Modified .fossil-settings/ignore-glob from [37900b3cfd] to [d710c30e5c].
︙ | |||
8 9 10 11 12 13 14 15 16 17 18 19 20 21 | 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 | + + | server/buildpkgs/Tclx/src/* server/buildpkgs/dict/build server/buildpkgs/dict/build/* server/buildpkgs/dict/out server/buildpkgs/dict/out/* server/buildpkgs/dict/src server/buildpkgs/dict/src/* server/buildpkgs/platform.magic.* server/buildpkgs/platform.magic.*/* server/buildpkgs/tcl server/buildpkgs/tcl/* server/buildpkgs/tclpkgs-*.tar.* server/buildpkgs/tclpkgs-*.tar.*/* server/buildpkgs/tls/build server/buildpkgs/tls/build/* server/buildpkgs/tls/out |
︙ |
Modified server/buildpkgs/Tclx/build.sh from [efebbc9ef2] to [e6281d406a].
1 2 3 4 5 6 7 8 9 10 11 12 13 | 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 | - - + | #! /bin/bash if [ ! -x "../platform" ]; then echo "No platform script found, aborting." >&2 exit 1 fi VERS=8.4 SRC="src/tclx${VERS}.tar.bz2" SRCURL="http://sourceforge.net/projects/tclx/files/TclX/${VERS}.0/tclx${VERS}.tar.bz2/download" BUILDDIR="tclx${VERS}" WORKDIR="${TMPDIR:-/tmp}/tclx-$$${RANDOM}${RANDOM}${RANDOM}" |
︙ | |||
77 78 79 80 81 82 83 | 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 | - + | + char *srcChannelId = NULL, *targetChannelId; if ((objc < 2) || (objc > 3)) { return TclX_WrongArgs (interp, objv [0], __EOF__ |
Modified server/buildpkgs/build_all.sh from [b9b3d01220] to [3c49d360c7].
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 | 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 | + + + + + + + + + - + + - + - - - - - + + + + + + + + + + + + + + + + + + + + + + + + + + + - + - + + | #! /bin/bash if [ ! -x "./platform" ]; then echo 'ERROR: Platform script not found: ./platform' >&2 exit 1 fi CLEANONLY=0 DISTCLEAN=0 if [ "$1" = "clean" ]; then shift CLEANONLY=1 fi if [ "$1" = "distclean" ]; then shift CLEANONLY=1 DISTCLEAN=1 fi export CLEANONLY DISTCLEAN CONFIGUREEXTRA="$@" export CONFIGUREEXTRA # Determine path to "tclConfig.sh" rm -rf tcl/build rm -f platform.magic.* if [ "${DISTCLEAN}" = "1" ]; then rm -rf tcl fi if [ "${CLEANONLY}" = "0" ]; then TCLVERS="8.4.19" TCLPRIVATE="$(pwd)/tcl/build/tcl${TCLVERS}" PROJROOTDIR="$(pwd)" export TCLVERS TCLPRIVATE PROJROOTDIR mkdir tcl tcl/build >/dev/null 2>/dev/null if [ ! -f "tcl/src/tcl${TCLVERS}.tar.gz" ]; then mkdir tcl/src >/dev/null 2>/dev/null wget -o /dev/null -O "tcl/src/tcl${TCLVERS}.tar.gz" "http://prdownloads.sourceforge.net/tcl/tcl${TCLVERS}-src.tar.gz" fi echo "Building Tcl ${TCLVERS}" ( mkdir tcl/build >/dev/null 2>/dev/null cd tcl/build || exit 1 gzip -dc "../src/tcl${TCLVERS}.tar.gz" | tar -xf - for dir in unix win macosx; do |
︙ |
Modified server/buildpkgs/dict/build.sh from [d1b93160fd] to [a8c213b541].
1 2 3 4 5 6 7 8 9 10 11 12 13 | 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 | - - + - + - + | #! /bin/bash if [ ! -x "../platform" ]; then echo "No platform script found, aborting." >&2 exit 1 fi VERS=8.5.2 SRC="src/tclDict-${VERS}.tar.gz" SRCURL="http://pascal.scheffers.net/software/tclDict-${VERS}.tar.gz" BUILDDIR="tclDict-${VERS}" WORKDIR="${TMPDIR:-/tmp}/dict-$$${RANDOM}${RANDOM}${RANDOM}" |
Modified server/buildpkgs/platform from [828b4fc7e9] to [c6457b56af].
1 2 | 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 | + + + + - + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + - + - - - | #! /bin/bash MAGICFILEFILE="$0.magic.file" MAGICOSFILE="$0.magic.os" MAGICPLATFILE="$0.magic.platform" |
︙ |
Modified server/buildpkgs/tls/build.sh from [89436dfb5e] to [3a852f9bb4].
1 2 3 4 5 6 7 8 9 10 11 12 13 | 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 | - - + | #! /bin/bash if [ ! -x "../platform" ]; then echo "No platform script found, aborting." >&2 exit 1 fi VERS=1.6 SRC="src/tls${VERS}-src.tar.gz" SRCURL="http://sourceforge.net/projects/tls/files/tls/${VERS}/tls${VERS}-src.tar.gz/download" BUILDDIR="tls${VERS}" WORKDIR="${TMPDIR:-/tmp}/tls-$$${RANDOM}${RANDOM}${RANDOM}" |
︙ | |||
35 36 37 38 39 40 41 | 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 | - + | SSLDIR=$(echo "${chkssldir}" | sed 's@/[^/]*/*$@@') fi done if [ -z "${SSLDIR}" ]; then SSLDIR="/usr" fi |
︙ |